Update customer contact

Update customer contact details

SecurityoAuth2
Request
path Parameters
customerUID
required
string^\\d+$

Customer unique id in Finzly system.

beneficiaryId
required
string^\\d+$

Contact unique id in Finzly system.

Request Body schema: application/json
required

Contact Info

templateName
string^[A-Za-z0-9]+$

Contact unique name. Unique name assigned to the contact for easy identification.

  • Alphanumeric only, no spaces or special characters.
name
string

Contact name.

email
string

Customer Email Address

phoneNumber
string

Customer's Phone number

object (UpdateCustomerAddress)
object (UpdateCustomerContact_contactBank)

When updating account type/sub type:

  • accountSubType cannot be updated without providing accountType
  • Non-GL accountType requires accountSubType
object (UpdateCustomerContact_intermediaryBank)
object (CustomerContact_otherInfo)
Array of objects (CustomerContact_regulartoryReporting)

The key for regular reporting should be configured in BankOs staticData. eg. routingNumber,social, TaxId etc...

Responses
200

OK

400

Bad request

401

You are not authorized to access the resource

403

Accessing the resource you were trying to reach is forbidden

404

The resource you were trying to reach is not found

500

Internal server error

503

Service unavailable

default

Successful

patch/v1/customers/{customerUID}/beneficiary/{beneficiaryId}
Request samples
application/json
{
  • "templateName": "bene1",
  • "name": "John",
  • "email": "abc@abc.com",
  • "phoneNumber": "+1 202-555-0176",
  • "address": {
    },
  • "contactBank": {
    },
  • "intermediaryBank": {
    },
  • "otherInfo": {
    },
  • "regulartoryReporting": [
    ]
}
Response samples
application/json
{
  • "status": "Success",
  • "code": "string",
  • "message": "string",
  • "data": {
    }
}